Update
curl --request PUT \
--url https://api-staging.genuka.com/2023-11/admin/supplierProducts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "body_html",
"handle": "handle-herzcde",
"metadata": {
"shopifyId": "id"
},
"price": 3000,
"title": "Title"
}
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/supplierProducts/{id}"
payload = {
"content": "body_html",
"handle": "handle-herzcde",
"metadata": { "shopifyId": "id" },
"price": 3000,
"title": "Title"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'body_html',
handle: 'handle-herzcde',
metadata: {shopifyId: 'id'},
price: 3000,
title: 'Title'
})
};
fetch('https://api-staging.genuka.com/2023-11/admin/supplierProducts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"barcode": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"content": "body_html",
"created_at": "2025-10-10T15:39:57.000000Z",
"deleted_at": null,
"handle": "title",
"id": "01k77cer8m5rwdvg0rgwp13wmt",
"medias": [],
"metadata": {
"matchingMediaIds": [],
"shopifyId": "id"
},
"price": 3000,
"product_variant_id": null,
"sku": null,
"supplier": null,
"supplier_id": null,
"tags": [],
"title": "Title",
"updated_at": "2025-10-10T15:40:49.000000Z"
}Suppliers
Update supplier
Updates the details of an existing supplier-product relationship identified by its unique ID. This endpoint allows modifying supplier information, pricing, delivery parameters, or product linkage. Returns the updated supplier data upon success.
PUT
/
2023-11
/
admin
/
supplierProducts
/
{id}
Update
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Path Parameters
Body
application/json
Response
200 - application/json
200
Example:
"01hqydxwtxdj3kmzp3bz7jk73g"
Example:
"body_html"
Example:
"2025-10-10T15:39:57.000000Z"
Example:
"title"
Example:
"01k77cer8m5rwdvg0rgwp13wmt"
Example:
[]
Show child attributes
Show child attributes
Example:
3000
Example:
[]
Example:
"Title"
Example:
"2025-10-10T15:40:49.000000Z"
⌘I
